setTimeout(() => {
  (function ($) {
    "use strict";
    var POTENZA = {};

    var $window = $(window),
      $document = $(document),
      $body = $("body"),
      $countdownTimer = $(".countdown"),
      $pieChart = $(".round-chart"),
      $counter = $(".counter");
    //Check if function exists
    $.fn.exists = function () {
      return this.length > 0;
    };

    POTENZA.dropdownmenu = function () {
      if ($(".navbar").exists()) {
        $(".dropdown-menu a.dropdown-toggle").on("click", function (e) {
          if (!$(this).next().hasClass("show")) {
            $(this)
              .parents(".dropdown-menu")
              .first()
              .find(".show")
              .removeClass("show");
          }
          var $subMenu = $(this).next(".dropdown-menu");
          $subMenu.toggleClass("show");
          $(this)
            .parents("li.nav-item.dropdown.show")
            .on("hidden.bs.dropdown", function (e) {
              $(".dropdown-submenu .show").removeClass("show");
            });
          return false;
        });
      }
    };

    POTENZA.counters = function () {
      var counter = jQuery(".counter");
      if (counter.length > 0) {
        $counter.each(function () {
          var $elem = $(this);
          $elem.appear(function () {
            $elem.find(".timer").countTo();
          });
        });
      }
    };

    POTENZA.carousel = function () {
      var owlslider = jQuery("div.owl-carousel");
      if (owlslider.length > 0) {
        owlslider.each(function () {
          var $this = $(this),
            $items = $this.data("items") ? $this.data("items") : 1,
            $loop = $this.attr("data-loop") ? $this.data("loop") : true,
            $navdots = $this.data("nav-dots") ? $this.data("nav-dots") : false,
            $navarrow = $this.data("nav-arrow")
              ? $this.data("nav-arrow")
              : false,
            $autoplay = $this.attr("data-autoplay")
              ? $this.data("autoplay")
              : true,
            $autospeed = $this.attr("data-autospeed")
              ? $this.data("autospeed")
              : 5000,
            $smartspeed = $this.attr("data-smartspeed")
              ? $this.data("smartspeed")
              : 1000,
            $autohgt = $this.data("autoheight")
              ? $this.data("autoheight")
              : false,
            $space = $this.attr("data-space") ? $this.data("space") : 30,
            $animateOut = $this.attr("data-animateOut")
              ? $this.data("animateOut")
              : false;

          $(this).owlCarousel({
            loop: $loop,
            items: $items,
            responsive: {
              0: {
                items: $this.data("xx-items") ? $this.data("xx-items") : 1,
              },
              480: {
                items: $this.data("xs-items") ? $this.data("xs-items") : 1,
              },
              768: {
                items: $this.data("sm-items") ? $this.data("sm-items") : 2,
              },
              980: {
                items: $this.data("md-items") ? $this.data("md-items") : 3,
              },
              1200: {
                items: $items,
              },
            },
            dots: $navdots,
            autoplayTimeout: $autospeed,
            smartSpeed: $smartspeed,
            autoHeight: $autohgt,
            margin: $space,
            nav: $navarrow,
            navText: [
              "<svg width='24' height='16' viewBox='0 0 24 16' fill='none' xmlns='http://www.w3.org/2000/svg'><path d='M0.146484 7.6465L7.64648 0.146503C7.79006 0.00390921 8.00344 -0.0395441 8.19141 0.0380809C8.37844 0.115237 8.49998 0.297862 8.49998 0.499987V1.49997C8.49998 1.63277 8.44725 1.75975 8.3535 1.8535L3.207 7H23.5C23.7764 7.00005 24 7.22364 24 7.50002V8.5C24 8.77638 23.7764 9.00002 23.5 9.00002H3.207L8.3535 14.1465C8.44725 14.2403 8.49998 14.3672 8.49998 14.5V15.5C8.49998 15.7022 8.37839 15.8848 8.19141 15.9619C8.12939 15.9878 8.06447 16 8.00002 16C7.87012 16 7.7422 15.9493 7.64648 15.8536L0.146484 8.35356C-0.0488434 8.15824 -0.0488434 7.84183 0.146484 7.6465Z' fill='black'></path></svg>",
              "<svg width='24' height='16' viewBox='0 0 24 16' fill='none' xmlns='http://www.w3.org/2000/svg'><path d='M23.8535 8.3535L16.3535 15.8535C16.2099 15.9961 15.9966 16.0395 15.8086 15.9619C15.6216 15.8848 15.5 15.7021 15.5 15.5V14.5C15.5 14.3672 15.5527 14.2402 15.6465 14.1465L20.793 9L0.500016 9C0.223641 8.99995 0 8.77636 0 8.49998L0 7.5C0 7.22362 0.223641 6.99998 0.500016 6.99998L20.793 6.99998L15.6465 1.85348C15.5527 1.75973 15.5 1.6328 15.5 1.49995V0.499968C15.5 0.297795 15.6216 0.115217 15.8086 0.0380611C15.8706 0.0121861 15.9355 -4.76837e-05 16 -4.76837e-05C16.1299 -4.76837e-05 16.2578 0.0507174 16.3535 0.146437L23.8535 7.64644C24.0488 7.84176 24.0488 8.15817 23.8535 8.3535Z' fill='black'></path></svg>",
            ],
            autoplay: $autoplay,
            autoplayHoverPause: true,
          });
        });
      }
    };

    POTENZA.swiperAnimation = function () {
      var siperslider = jQuery(".swiper-container");

      if (siperslider.length > 0) {
        var swiperAnimation = new SwiperAnimation();

        var swiper = new Swiper(".swiper-container", {
          init: true,
          direction: "horizontal",
          effect: "fade",
          loop: true,

          keyboard: {
            enabled: true,
            onlyInViewport: true,
          },

          // Navigation arrows
          navigation: {
            nextEl: ".swiper-button-next",
            prevEl: ".swiper-button-prev",
          },

          pagination: {
            el: ".swiper-pagination",
            clickable: true,
          },

          on: {
            init: function () {
              swiperAnimation.init(this).animate();
            },
            slideChange: function () {
              swiperAnimation.init(this).animate();
            },
          },
        });
      }
    };

    POTENZA.slickslider = function () {
      if ($(".slider-for").exists()) {
        $(".slider-for").slick({
          slidesToShow: 1,
          slidesToScroll: 1,
          arrows: true,
          asNavFor: ".slider-nav",
        });
        $(".slider-nav").slick({
          slidesToShow: 3,
          slidesToScroll: 1,
          asNavFor: ".slider-for",
          dots: false,
          centerMode: true,
          focusOnSelect: true,
        });
      }
    };

    POTENZA.mediaPopups = function () {
      if (
        $(".popup-single").exists() ||
        $(".popup-gallery").exists() ||
        $(".modal-onload").exists() ||
        $(".popup-youtube, .popup-vimeo, .popup-gmaps").exists()
      ) {
        if ($(".popup-single").exists()) {
          $(".popup-single").magnificPopup({
            type: "image",
          });
        }
        if ($(".popup-gallery").exists()) {
          $(".popup-gallery").magnificPopup({
            delegate: "a.portfolio-img",
            type: "image",
            tLoading: "Loading image #%curr%...",
            mainClass: "mfp-img-mobile",
            gallery: {
              enabled: true,
              navigateByImgClick: true,
              preload: [0, 1], // Will preload 0 - before current, and 1 after the current image
            },
          });
        }
        if ($(".popup-youtube, .popup-vimeo, .popup-gmaps").exists()) {
          $(".popup-youtube, .popup-vimeo, .popup-gmaps").magnificPopup({
            disableOn: 700,
            type: "iframe",
            mainClass: "mfp-fade",
            removalDelay: 160,
            preloader: false,
            fixedContentPos: false,
          });
        }
        var $modal = $(".modal-onload");
        if ($modal.length > 0) {
          $(".popup-modal").magnificPopup({
            type: "inline",
          });
          $(document).on("click", ".popup-modal-dismiss", function (e) {
            e.preventDefault();
            $.magnificPopup.close();
          });
          var elementTarget = $modal.attr("data-target");
          setTimeout(function () {
            $.magnificPopup.open(
              {
                items: {
                  src: elementTarget,
                },
                type: "inline",
                mainClass: "mfp-no-margins mfp-fade",
                closeBtnInside: !0,
                fixedContentPos: !0,
                removalDelay: 500,
              },
              0
            );
          }, 1500);
        }
      }
    };

    POTENZA.shuffle = function () {
      if ($(".my-shuffle-container").exists()) {
        var Shuffle = window.Shuffle;
        var element = document.querySelector(".my-shuffle-container");
        var sizer = element.querySelector(".my-sizer-element");

        var shuffleInstance = new Shuffle(element, {
          itemSelector: ".grid-item",
          sizer: sizer, // could also be a selector: '.my-sizer-element'
          speed: 700,
          columnThreshold: 0,
        });
        jQuery(document).ready(function () {
          jQuery(document).on("click", ".btn-filter", function () {
            var data_group = jQuery(this).attr("data-group");
            if (data_group != "all") {
              shuffleInstance.filter([data_group]);
            } else {
              shuffleInstance.filter();
            }
          });
        });
      }
    };

    POTENZA.datetimepickers = function () {
      if ($(".datetimepickers").exists()) {
        $("#datetimepicker-01, #datetimepicker-02").datetimepicker({
          format: "L",
        });
        $("#datetimepicker-03, #datetimepicker-04").datetimepicker({
          format: "LT",
        });
      }
    };

    POTENZA.select2 = function () {
      if ($(".basic-select").exists()) {
        var select = jQuery(".basic-select");
        if (select.length > 0) {
          $(".basic-select").select2({ dropdownCssClass: "bigdrop" });
        }
      }
    };

    POTENZA.rangesliders = function () {
      if ($(".property-price-slider").exists()) {
        var rangeslider = jQuery(".rangeslider-wrapper");
        $("#property-price-slider").ionRangeSlider({
          type: "double",
          min: 0,
          max: 10000,
          from: 1000,
          to: 8000,
          prefix: "$",
          hide_min_max: true,
          hide_from_to: false,
        });
      }
    };

    POTENZA.countdownTimer = function () {
      if ($countdownTimer.exists()) {
        $countdownTimer.downCount({
          date: "12/25/2020 12:00:00", // Month/Date/Year HH:MM:SS
          offset: -4,
        });
      }
    };

    POTENZA.scrollbar = function () {
      var scrollbar = jQuery(".scrollbar");
      if (scrollbar.length > 0) {
        //Sidebar Scroll
        var scroll_light = jQuery(".scroll_light");
        if (scroll_light.length > 0) {
          $(scroll_light).niceScroll({
            cursorborder: 0,
            cursorcolor: "rgba(255,255,255,0.25)",
          });
          $(scroll_light).getNiceScroll().resize();
        }
        // Chat Scroll
        var scroll_dark = jQuery(".scroll_dark");
        if (scroll_dark.length > 0) {
          $(scroll_dark).niceScroll({
            cursorborder: 0,
            cursorcolor: "rgba(0,0,0,0.1)",
          });
          $(scroll_dark).getNiceScroll().resize();
        }
      }
    };

    POTENZA.streetview = function () {
      var panorama;
      var streetview = jQuery("#street-view");
      if (streetview.length > 0) {
        panorama = new google.maps.StreetViewPanorama(
          document.getElementById("street-view"),
          {
            position: { lat: 37.86926, lng: -122.254811 },
            pov: { heading: 165, pitch: 0 },
            zoom: 1,
          }
        );
      }
    };

    POTENZA.streetviewtabs = function () {
      jQuery(".nav-tabs a").on("shown.bs.tab", function (event) {
        var tabName = $(event.target).text();
        if (tabName == "Street view") {
          POTENZA.streetview();
        }
      });
    };

    POTENZA.isSticky = function () {
      $(window).scroll(function () {
        if ($(this).scrollTop() > 150) {
          $(".header-sticky").addClass("is-sticky");
        } else {
          $(".header-sticky").removeClass("is-sticky");
        }
      });
    };

    POTENZA.goToTop = function () {
      var $goToTop = $("#back-to-top");
      $goToTop.hide();
      $window.scroll(function () {
        if ($window.scrollTop() > 100) $goToTop.fadeIn();
        else $goToTop.fadeOut();
      });
      $goToTop.on("click", function () {
        $("body,html").animate(
          {
            scrollTop: 0,
          },
          1000
        );
        return false;
      });
    };

    POTENZA.searchbox = function () {
      if (jQuery(".search").exists()) {
        jQuery(".search-btn").on("click", function () {
          jQuery(".search").toggleClass("search-open");
          return false;
        });
        jQuery("html, body").on("click", function (e) {
          if (!jQuery(e.target).hasClass("not-click")) {
            jQuery(".search").removeClass("search-open");
          }
        });
      }
    };

    POTENZA.pieChart = function () {
      if ($pieChart.exists()) {
        $pieChart.each(function () {
          var $elem = $(this),
            pieChartSize = $elem.attr("data-size") || "134",
            pieChartAnimate = $elem.attr("data-animate") || "2000",
            pieChartWidth = $elem.attr("data-width") || "6",
            pieChartColor = $elem.attr("data-color") || "#ffffff",
            pieChartTrackColor =
              $elem.attr("data-trackcolor") || "rgba(0,0,0,0.10)";
          $elem.find("span, i").css({
            width: pieChartSize + "px",
            height: pieChartSize + "px",
            "line-height": pieChartSize + "px",
          });
          $elem.appear(function () {
            $elem.easyPieChart({
              size: Number(pieChartSize),
              animate: Number(pieChartAnimate),
              trackColor: pieChartTrackColor,
              lineWidth: Number(pieChartWidth),
              barColor: pieChartColor,
              scaleColor: false,
              lineCap: "square",
              onStep: function (from, to, percent) {
                $elem.find("span.percent").text(Math.round(percent));
              },
            });
          });
        });
      }
    };

    POTENZA.pricedropdown = function () {
      if ($(".pricedropdown").exists()) {
        $("a.priceselected").on("click", function (e) {
          $(this).toggleClass("open");
          $(this).next("ul").toggleClass("active");
        });

        $(".pricedropdown li").on("click", function (e) {
          $(".pricedropdown li").removeClass("selected");
          $(this).toggleClass("selected");
          $(this)
            .parents("ul")
            .prev(".priceselected")
            .find("h5")
            .text($(this).attr("data-years"));
          $(this)
            .parents("ul")
            .prev(".priceselected")
            .find("del")
            .text($(this).attr("data-prices"));
          $(this)
            .parents("ul")
            .prev(".priceselected")
            .find("p")
            .text($(this).attr("data-Renews"));
          $(this)
            .parents("ul")
            .prev(".priceselected")
            .find(".shape-button span")
            .text($(this).attr("data-saves"));
          $(this)
            .parents("ul")
            .prev(".priceselected")
            .find("input")
            .val($(this).attr("data-value"));
          $(this).parents("ul").toggleClass("active");
        });
      }
    };

    //Window load functions
    $window.on("load", function () {
      POTENZA.pieChart();
    });
    
    //Document ready functions
    $document.ready(function () {
      POTENZA.counters(),
        POTENZA.slickslider(),
        POTENZA.datetimepickers(),
        POTENZA.select2(),
        POTENZA.dropdownmenu(),
        POTENZA.scrollbar(),
        POTENZA.goToTop(),
        POTENZA.swiperAnimation(),
        POTENZA.countdownTimer(),
        POTENZA.mediaPopups(),
        POTENZA.isSticky(),
        POTENZA.shuffle(),
        POTENZA.rangesliders(),
        POTENZA.streetviewtabs(),
        POTENZA.searchbox(),
        POTENZA.carousel();
      POTENZA.pricedropdown();
    });

  })(jQuery);
}, 3000);
